cURL
curl --request GET \ --url https://api.devkit4ai.com/api/v1/payments/stripe/projects/{project_id}/payments \ --header 'Authorization: Bearer <token>'
{ "payments": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "is_test_mode": true, "payment_intent_id": "<string>", "status": "<string>", "amount_cents": 123, "currency": "<string>", "created_at": "2023-11-07T05:31:56Z", "subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "description": "<string>", "refunded_amount_cents": 0 } ], "total": 123, "page": 123, "page_size": 123 }
List all Stripe payment transactions for a specific project. Developer access required.
The access token received from the authorization server in the OAuth 2.0 flow.
Filter by test mode
x >= 1
1 <= x <= 100
Successful Response
Paginated list of Stripe payments.
Show child attributes